#pragma once
#include "DirectXFramework.h"
#include "SceneGraph.h"
#include "SubMeshRenderer.h"
#include "SubMeshNode.h"

class SplitMeshNode : public SceneGraph
{
public:
	SplitMeshNode(wstring name, wstring modelName) : SceneGraph(name) { _modelName = modelName; }
	bool Initialise(void);
	void Render(void);
	void Shutdown(void);
	SceneNodePointer AddMeshNode(shared_ptr<Node> node);

private:
	shared_ptr<SubMeshRenderer>		_renderer;

	wstring							_modelName;
	shared_ptr<ResourceManager>		_resourceManager;
	shared_ptr<Mesh>				_mesh;

	bool _isInit = false;
};

